﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using System.Resources;

namespace VocaTest
{
    public partial class AboutDialog : Form
    {
        public AboutDialog()
        {
            InitializeComponent();
            this.Activated += new EventHandler(AboutDialog_Activated);

            lblVersion.Text = System.Reflection.Assembly.GetExecutingAssembly().GetName().Version.ToString();
            lblProgName.Text = System.Reflection.Assembly.GetExecutingAssembly().GetName().Name;
            this.Text = "About " + lblProgName.Text;
        }

        private void AboutDialog_Activated(object sender, EventArgs e)
        {
            btnOK.Focus();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void lnkHomesite_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            lnkHomesite.LinkVisited = true;
            Process.Start(lnkHomesite.Text);
        }

        private void lnkLicense_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            lnkLicense.LinkVisited = true;
            MessageBox.Show(this, Properties.Resources.LicenseText, "VocaTestNET License", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void lnkIconLicense_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            lnkIconLicense.LinkVisited = true;
            MessageBox.Show(this, Properties.Resources.IconLicenseText, "Icon Information", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }
    }
}
